summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2005-06-14 09:00:00 +0000
committerJim Meyering <jim@meyering.net>2005-06-14 09:00:00 +0000
commitdbc8afd3993a9615ac43866fe77c4fe9add21125 (patch)
tree49f1f73eea6be0f16cde3de668219c15972afba1 /tests
parentcb7512d04d21a2251008f86d2f5e66ae59c79d79 (diff)
downloadcoreutils-dbc8afd3993a9615ac43866fe77c4fe9add21125.tar.xz
Ensure mkdir succeeds if the following argument is an absolute directory name.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/mkdir/p-36
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/mkdir/p-3 b/tests/mkdir/p-3
index 5aac4a943..e9e95de65 100755
--- a/tests/mkdir/p-3
+++ b/tests/mkdir/p-3
@@ -17,6 +17,7 @@ framework_failure=0
mkdir -p $tmp || framework_failure=1
cd $tmp || framework_failure=1
mkdir no-access || framework_failure=1
+mkdir no-acce2s || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
@@ -26,9 +27,14 @@ fi
p=$pwd/$tmp
(cd no-access; chmod 0 . && mkdir -p $p/a/b u/v) 2> /dev/null && fail=1
+# Same as above, but with a following *absolute* name, it should succeed
+(cd no-acce2s; chmod 0 . && mkdir -p $p/a/b $p/z) || fail=1
+
test -d $p/a/b || fail=1
b=`ls $p/a|tr -d '\n'`
+test -d $p/z || fail=1
+
# With coreutils-5.3.0, this would fail with $b=bu.
test "x$b" = xb || fail=1